Update an attachment
curl --request POST \
--url https://sandbox.hurdlr.com/rest/v5/files/attachment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '
{
"attachment": {
"id": 123,
"caption": "<string>",
"date": "2023-11-07T05:31:56Z",
"amount": 123,
"entity": "<string>",
"fileName": "<string>",
"entityId": 123,
"fileSize": "24 KB",
"iconUrl": "https://cdn.sandbox.tight.com/icons/attachments/pdf.svg"
}
}
'import requests
url = "https://sandbox.hurdlr.com/rest/v5/files/attachment"
payload = { "attachment": {
"id": 123,
"caption": "<string>",
"date": "2023-11-07T05:31:56Z",
"amount": 123,
"entity": "<string>",
"fileName": "<string>",
"entityId": 123,
"fileSize": "24 KB",
"iconUrl": "https://cdn.sandbox.tight.com/icons/attachments/pdf.svg"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: JSON.stringify({
attachment: {
id: 123,
caption: '<string>',
date: '2023-11-07T05:31:56Z',
amount: 123,
entity: '<string>',
fileName: '<string>',
entityId: 123,
fileSize: '24 KB',
iconUrl: 'https://cdn.sandbox.tight.com/icons/attachments/pdf.svg'
}
})
};
fetch('https://sandbox.hurdlr.com/rest/v5/files/attachment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errors": {
"fieldErrors": {},
"globalErrors": [
{
"errorMessage": "<string>"
}
]
},
"id": "<string>",
"webhook": {
"userId": "<string>",
"accountantUserId": "<string>"
}
}Files
Update an attachment
Update an existing attachment
POST
/
v5
/
files
/
attachment
Update an attachment
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
*/*
attachment object
Show child attributes
Show child attributes
Response
200 - application/json
Successful operation
Object containing details about result of the action performed
⌘I